package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.Ipbacklist;
import com.muchinfo.mtp3pojos.entity.Systemmanagerlog;
import com.muchinfo.mtp3pojos.entity.WskhBlacklist;
import com.muchinfo.mtp3pojos.vo.systemrun.*;

import javax.servlet.http.HttpServletRequest;

public interface ISystemRunService {
    PageResult<SystemUserLogResult> queryByPage(SystemUserLogParam param, HttpServletRequest request);

    PageResult<SystemLoginErrorResult> queryError(SystemLoginErrorParam param, HttpServletRequest request);

    AjaxResult export(SystemLoginErrorParam param, HttpServletRequest request);

    PageResult<YmrslQueryResult> querymrsl(YmrslQueryParam param, HttpServletRequest request);

    AjaxResult<Systemmanagerlog> view(Long id, HttpServletRequest request);

    PageResult<WskhBlacklist> queryBlackList(Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult dealBlackList(BlackListAddParam param, HttpServletRequest request);

    AjaxResult delBlackList(Long id, HttpServletRequest request);

    PageResult<Ipbacklist> queryIPList(String adress, Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult addIPList(IpListDelParam param, HttpServletRequest request);

    AjaxResult delIPList(IpListDelParam param, HttpServletRequest request);

    PageResult<LoginLogQueryResult> queryloginlog(LoginLogQueryParam param, HttpServletRequest request);

    AjaxResult<LoginLogQueryResult> loginlogview(LoginLogQueryParam param, HttpServletRequest request);

    AjaxResult loginlogExport(LoginLogQueryParam param, HttpServletRequest request);
}
